curl --request GET \
--url https://api.partoo.co/v2/feedback/feedback_result/{feedback_result_id} \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/feedback/feedback_result/{feedback_result_id}"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/feedback/feedback_result/{feedback_result_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"business_id": "abc",
"store_code": "STORE-042",
"firstname": "John",
"lastname": "Doe",
"nps": 9,
"content": "Great service, will come back!",
"state": "not_treated",
"optin": true,
"created": "2024-10-25T15:12:11+00:00",
"feedback_result_fields": [
{
"feedback_form_field": {
"id": "674d7aaa13e599deae0001b2",
"field_type": "CSAT",
"field_label": "How satisfied are you?",
"field_choices": null
},
"rating": 5,
"content": null,
"choices": null
}
],
"comments": [],
"feedback_form": {
"id": "674d791c13c9d976e20001b1",
"display_name": "Global Satisfaction",
"custom_hidden_fields": {}
},
"extra": {},
"issues": null
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Get a feedback result by ID
The Feedback Management API is currently in BETA, therefore the following endpoints are subject to modification, given a 2 week notice.
If you are planning to use any of them, please notify us so we will be able to keep you informed about upcoming changes.
This endpoint lets you retrieve a single feedback result by its ID.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
ID of the feedback result
Response
OK
1
Business id
"5409c35a97bbc544d8e26737"
Firstname of the respondent
"John"
Lastname of the respondent
"Doe"
NPS of the feedback result
0 <= x <= 109
Content of the FREE_FORM field
"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse vulputate efficitur augue, ac auctor nibh scelerisque at. Nulla facilisi. Maecenas luctus efficitur sem sit amet ullamcorper. Donec tempor augue lorem, vitae convallis sapien aliquam id. Maecenas eu odio non est pretium eleifend. Nullam at odio eu ligula ultrices tincidunt. Nulla euismod aliquet ex eget efficitur."
State of the feedback result
treated, not_treated Whether the respondent accepts to be contacted
true, false Date the feedback result was created on
"2024-10-25T15:12:11+00:00"
Information about the corresponding feedback form
Show child attributes
Show child attributes
The various fields of the feedback result
Show child attributes
Show child attributes
The replies of the feedback result
Show child attributes
Show child attributes
The additional hidden fields (other than firstname, lastname, store_code, email and date)
{
"extra_field": "value",
"extra_field_2": "value_2"
}
Was this page helpful?